error al actualizar package-query

Para que opines sobre pacman o comentes problemas instalando algún paquete.
Responder
Avatar de Usuario
AALD666
Archer Extremo
Archer Extremo
Mensajes: 170
Registrado: 23 Dic 2010, 23:41
Contactar:

error al actualizar package-query

Mensaje por AALD666 » 10 Nov 2012, 15:46

Hola a todos

hoy vengo con un problema que me ha surgido cuando trato de actualizar mis paquetes con un

Código: Seleccionar todo

yaourt -Syu --devel --aur
me sale lo siguiente en la consola:

Código: Seleccionar todo

==> Continuar compilando package-query? [S/n]
==> -----------------------------------------
==> 
==> Compilando e instalando el paquete
==> Creando el paquete: package-query 1.1-2 (sáb nov 10 13:27:39 COT 2012)
==> Resolviendo dependencias...
==> Verificando conflictos...
==> Obteniendo fuentes...
  -> Descargando package-query-1.1.tar.gz...
  % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                 Dload  Upload   Total   Spent    Left  Speed
100  366k  100  366k    0     0   218k      0  0:00:01  0:00:01 --:--:--  279k
==> Validando el archivo fuente con md5sums...
    package-query-1.1.tar.gz ... Aprobado
==> Descomprimiendo fuentes...
  -> Extrayendo package-query-1.1.tar.gz con bsdtar
==> Iniciando build()...
checking for a BSD-compatible install... /usr/bin/install -c
checking whether build environment is sane... yes
checking for a thread-safe mkdir -p... /usr/bin/mkdir -p
checking for gawk... gawk
checking whether make sets $(MAKE)... yes
checking for gcc... gcc
checking whether the C compiler works... yes
checking for C compiler default output file name... a.out
checking for suffix of executables... 
checking whether we are cross compiling... no
checking for suffix of object files... o
checking whether we are using the GNU C compiler... yes
checking whether gcc accepts -g... yes
checking for gcc option to accept ISO C89... none needed
checking for style of include used by make... GNU
checking dependency style of gcc... gcc3
checking build system type... i686-pc-linux-gnu
checking host system type... i686-pc-linux-gnu
checking how to print strings... printf
checking for a sed that does not truncate output... /bin/sed
checking for grep that handles long lines and -e... /usr/bin/grep
checking for egrep... /usr/bin/grep -E
checking for fgrep... /usr/bin/grep -F
checking for ld used by gcc... /usr/bin/ld
checking if the linker (/usr/bin/ld) is GNU ld... yes
checking for BSD- or MS-compatible name lister (nm)... /usr/bin/nm -B
checking the name lister (/usr/bin/nm -B) interface... BSD nm
checking whether ln -s works... yes
checking the maximum length of command line arguments... 1572864
checking whether the shell understands some XSI constructs... yes
checking whether the shell understands "+="... yes
checking how to convert i686-pc-linux-gnu file names to i686-pc-linux-gnu format... func_convert_file_noop
checking how to convert i686-pc-linux-gnu file names to toolchain format... func_convert_file_noop
checking for /usr/bin/ld option to reload object files... -r
checking for objdump... objdump
checking how to recognize dependent libraries... pass_all
checking for dlltool... no
checking how to associate runtime and link libraries... printf %s\n
checking for ar... ar
checking for archiver @FILE support... @
checking for strip... strip
checking for ranlib... ranlib
checking command to parse /usr/bin/nm -B output from gcc object... ok
checking for sysroot... no
checking for mt... no
checking if : is a manifest tool... no
checking how to run the C preprocessor... gcc -E
checking for ANSI C header files... yes
checking for sys/types.h... yes
checking for sys/stat.h... yes
checking for stdlib.h... yes
checking for string.h... yes
checking for memory.h... yes
checking for strings.h... yes
checking for inttypes.h... yes
checking for stdint.h... yes
checking for unistd.h... yes
checking for dlfcn.h... yes
checking for objdir... .libs
checking if gcc supports -fno-rtti -fno-exceptions... no
checking for gcc option to produce PIC... -fPIC -DPIC
checking if gcc PIC flag -fPIC -DPIC works... yes
checking if gcc static flag -static works... yes
checking if gcc supports -c -o file.o... yes
checking if gcc supports -c -o file.o... (cached) yes
checking whether the gcc linker (/usr/bin/ld) supports shared libraries... yes
checking whether -lc should be explicitly linked in... no
checking dynamic linker characteristics... GNU/Linux ld.so
checking how to hardcode library paths into programs... immediate
checking whether stripping libraries is possible... yes
checking if libtool supports shared libraries... yes
checking whether to build shared libraries... yes
checking whether to build static libraries... yes
checking ctype.h usability... yes
checking ctype.h presence... yes
checking for ctype.h... yes
checking getopt.h usability... yes
checking getopt.h presence... yes
checking for getopt.h... yes
checking libintl.h usability... yes
checking libintl.h presence... yes
checking for libintl.h... yes
checking limits.h usability... yes
checking limits.h presence... yes
checking for limits.h... yes
checking locale.h usability... yes
checking locale.h presence... yes
checking for locale.h... yes
checking sys/ioctl.h usability... yes
checking sys/ioctl.h presence... yes
checking for sys/ioctl.h... yes
checking sys/utsname.h usability... yes
checking sys/utsname.h presence... yes
checking for sys/utsname.h... yes
checking for alpm_version in -lalpm... yes
checking for yajl_free in -lyajl... yes
checking for gawk... (cached) gawk
checking for curl-config... /usr/local/bin/curl-config
checking for the version of libcurl... 7.23.1
checking for libcurl >= version 7.19.4... yes
checking whether libcurl is usable... yes
checking for curl_free... yes
checking whether NLS is requested... yes
checking for msgfmt... /usr/bin/msgfmt
checking for gmsgfmt... /usr/bin/msgfmt
checking for xgettext... /usr/bin/xgettext
checking for msgmerge... /usr/bin/msgmerge
checking for ld used by GCC... /usr/bin/ld
checking if the linker (/usr/bin/ld) is GNU ld... yes
checking for shared library run path origin... done
checking for CFPreferencesCopyAppValue... no
checking for CFLocaleCopyCurrent... no
checking for GNU gettext in libc... yes
checking whether to use NLS... yes
checking where the gettext function comes from... libc
checking for git... git
checking for .git/... no
checking that generated files are newer than configure... done
configure: creating ./config.status
config.status: creating src/Makefile
config.status: creating doc/Makefile
config.status: creating Makefile
config.status: creating config.h
config.status: executing depfiles commands
config.status: executing libtool commands
config.status: executing po-directories commands

package-query:

  Build information:
    source code location   : .
    prefix                 : /usr
    sysconfdir             : /etc
       conf file           : /etc/pacman.conf
    localstatedir          : /var
       database dir        : /var/lib/pacman/
    compiler               : gcc
    compiler flags         : -march=i686 -mtune=generic -O2 -pipe -fstack-protector --param=ssp-buffer-size=4 -D_FORTIFY_SOURCE=2

    package-query version  : 1.1
    using git version      : no
       git ver             : 

  Variable information:
    root working directory : /
    aur base url           : https://aur.archlinux.org

make  all-recursive
make[1]: se ingresa al directorio `/tmp/yaourt-tmp-aald/aur-package-query/src/package-query-1.1'
Making all in src
make[2]: se ingresa al directorio `/tmp/yaourt-tmp-aald/aur-package-query/src/package-query-1.1/src'
gcc -DLOCALEDIR=\"/usr/share/locale\" -DCONFFILE=\"/etc/pacman.conf\" -DROOTDIR=\"/\" -DDBPATH=\"/var/lib/pacman/\" -DAUR_BASE_URL=\"https://aur.archlinux.org\" -DHAVE_CONFIG_H  -I. -I..    -D_GNU_SOURCE -march=i686 -mtune=generic -O2 -pipe -fstack-protector --param=ssp-buffer-size=4 -D_FORTIFY_SOURCE=2 -MT aur.o -MD -MP -MF .deps/aur.Tpo -c -o aur.o aur.c
mv -f .deps/aur.Tpo .deps/aur.Po
gcc -DLOCALEDIR=\"/usr/share/locale\" -DCONFFILE=\"/etc/pacman.conf\" -DROOTDIR=\"/\" -DDBPATH=\"/var/lib/pacman/\" -DAUR_BASE_URL=\"https://aur.archlinux.org\" -DHAVE_CONFIG_H  -I. -I..    -D_GNU_SOURCE -march=i686 -mtune=generic -O2 -pipe -fstack-protector --param=ssp-buffer-size=4 -D_FORTIFY_SOURCE=2 -MT alpm-query.o -MD -MP -MF .deps/alpm-query.Tpo -c -o alpm-query.o alpm-query.c
alpm-query.c: En la función ‘alpm_pkg_get_realsize’:
alpm-query.c:486:9: aviso: se descarta el valor de devolución de ‘chdir’, se declaró con el atributo warn_unused_result [-Wunused-result]
mv -f .deps/alpm-query.Tpo .deps/alpm-query.Po
gcc -DLOCALEDIR=\"/usr/share/locale\" -DCONFFILE=\"/etc/pacman.conf\" -DROOTDIR=\"/\" -DDBPATH=\"/var/lib/pacman/\" -DAUR_BASE_URL=\"https://aur.archlinux.org\" -DHAVE_CONFIG_H  -I. -I..    -D_GNU_SOURCE -march=i686 -mtune=generic -O2 -pipe -fstack-protector --param=ssp-buffer-size=4 -D_FORTIFY_SOURCE=2 -MT util.o -MD -MP -MF .deps/util.Tpo -c -o util.o util.c
util.c: En la función ‘ltostr’:
util.c:532:11: aviso: se descarta el valor de devolución de ‘asprintf’, se declaró con el atributo warn_unused_result [-Wunused-result]
util.c: En la función ‘itostr’:
util.c:525:11: aviso: se descarta el valor de devolución de ‘asprintf’, se declaró con el atributo warn_unused_result [-Wunused-result]
util.c: En la función ‘concat_backup_list’:
util.c:480:12: aviso: se descarta el valor de devolución de ‘asprintf’, se declaró con el atributo warn_unused_result [-Wunused-result]
util.c: En la función ‘string_fcat’:
util.c:342:11: aviso: se descarta el valor de devolución de ‘vasprintf’, se declaró con el atributo warn_unused_result [-Wunused-result]
mv -f .deps/util.Tpo .deps/util.Po
gcc -DLOCALEDIR=\"/usr/share/locale\" -DCONFFILE=\"/etc/pacman.conf\" -DROOTDIR=\"/\" -DDBPATH=\"/var/lib/pacman/\" -DAUR_BASE_URL=\"https://aur.archlinux.org\" -DHAVE_CONFIG_H  -I. -I..    -D_GNU_SOURCE -march=i686 -mtune=generic -O2 -pipe -fstack-protector --param=ssp-buffer-size=4 -D_FORTIFY_SOURCE=2 -MT color.o -MD -MP -MF .deps/color.Tpo -c -o color.o color.c
mv -f .deps/color.Tpo .deps/color.Po
gcc -DLOCALEDIR=\"/usr/share/locale\" -DCONFFILE=\"/etc/pacman.conf\" -DROOTDIR=\"/\" -DDBPATH=\"/var/lib/pacman/\" -DAUR_BASE_URL=\"https://aur.archlinux.org\" -DHAVE_CONFIG_H  -I. -I..    -D_GNU_SOURCE -march=i686 -mtune=generic -O2 -pipe -fstack-protector --param=ssp-buffer-size=4 -D_FORTIFY_SOURCE=2 -MT package-query.o -MD -MP -MF .deps/package-query.Tpo -c -o package-query.o package-query.c
mv -f .deps/package-query.Tpo .deps/package-query.Po
/bin/sh ../libtool --tag=CC   --mode=link gcc -D_GNU_SOURCE -march=i686 -mtune=generic -O2 -pipe -fstack-protector --param=ssp-buffer-size=4 -D_FORTIFY_SOURCE=2 -L/usr/local/lib -lcurl  -Wl,-O1,--sort-common,--as-needed,-z,relro -o package-query aur.o alpm-query.o util.o color.o package-query.o  -lyajl -lalpm 
libtool: link: gcc -D_GNU_SOURCE -march=i686 -mtune=generic -O2 -pipe -fstack-protector --param=ssp-buffer-size=4 -D_FORTIFY_SOURCE=2 -Wl,-O1 -Wl,--sort-common -Wl,--as-needed -Wl,-z -Wl,relro -o package-query aur.o alpm-query.o util.o color.o package-query.o  -L/usr/local/lib /usr/local/lib/libcurl.so -lidn -lssh2 -llber -lldap -lrt -lssl -lcrypto -ldl -lz -lrtmp -lyajl -lalpm -Wl,-rpath -Wl,/usr/local/lib -Wl,-rpath -Wl,/usr/local/lib
/usr/lib/gcc/i686-pc-linux-gnu/4.7.2/../../../libalpm.so: undefined reference to `[email protected]_OPENSSL_4'
/usr/lib/gcc/i686-pc-linux-gnu/4.7.2/../../../libalpm.so: undefined reference to `[email protected]_OPENSSL_4'
/usr/lib/gcc/i686-pc-linux-gnu/4.7.2/../../../libalpm.so: undefined reference to `curl_easy_getinfo[email protected]_OPENSSL_4'
/usr/lib/gcc/i686-pc-linux-gnu/4.7.2/../../../libalpm.so: undefined reference to `[email protected]_OPENSSL_4'
/usr/lib/gcc/i686-pc-linux-gnu/4.7.2/../../../libalpm.so: undefined reference to `[email protected]_OPENSSL_4'
/usr/lib/gcc/i686-pc-linux-gnu/4.7.2/../../../libalpm.so: undefined reference to `[email protected]_OPENSSL_4'
/usr/lib/gcc/i686-pc-linux-gnu/4.7.2/../../../libalpm.so: undefined reference to `[email protected]_OPENSSL_4'
/usr/lib/gcc/i686-pc-linux-gnu/4.7.2/../../../libalpm.so: undefined reference to `[email protected]_OPENSSL_4'
/usr/lib/gcc/i686-pc-linux-gnu/4.7.2/../../../libalpm.so: undefined reference to `[email protected]_OPENSSL_4'
collect2: error: ld returned 1 exit status
make[2]: *** [package-query] Error 1
make[2]: se sale del directorio `/tmp/yaourt-tmp-aald/aur-package-query/src/package-query-1.1/src'
make[1]: *** [all-recursive] Error 1
make[1]: se sale del directorio `/tmp/yaourt-tmp-aald/aur-package-query/src/package-query-1.1'
make: *** [all] Error 2
==> ERROR: Se produjo un error en build().
    Cancelando...
==> ERROR: Makepkg no ha podido compilar package-query.
==> Reiniciar la compilación de package-query? [s/N]
==> ------------------------------------------------
==> 
==> ERROR: no se puede actualizar


Avatar de Usuario
AALD666
Archer Extremo
Archer Extremo
Mensajes: 170
Registrado: 23 Dic 2010, 23:41
Contactar:

Re: error al actualizar package-query

Mensaje por AALD666 » 04 Ago 2014, 00:09

¿Alguna ayuda por favor? el problema persiste..................................

Avatar de Usuario
cuentos
Equipo Hispano
Equipo Hispano
Mensajes: 544
Registrado: 25 Mar 2012, 03:24
Contactar:

Re: error al actualizar package-query

Mensaje por cuentos » 04 Ago 2014, 01:55

Tengo el sistema actualizado, y no e tenido problemas con package-query, y mire que version tengo de este y me arroja:

Código: Seleccionar todo

 yaourt -Ss  package-query
archlinuxfr/package-query 1.4-1 [installed]
Query ALPM and AUR
aur/package-query 1.4-1 [installed] (1107)
Query ALPM and AUR
aur/package-query-git 1.4-1 (135)
Query ALPM and AUR
aur/package-query-ssl3 1.2-2 (3)
Query ALPM and AUR - with patch to use SSL-version-3
aur/pacman-update-check 0.2-2 (1)
Basic Update checker to complement pacman. Functionality partially obsoleted by checkupdate, introduced with pacman 4.1, the sole exception being AUR support, provided via package-query.
el cual es la ultima versión archlinuxfr/package-query 1.4-1 [installed], que esta en aur.
Puedes probar a actualizar primero arch con:

Código: Seleccionar todo

sudo pacman -Syyu
Y luego pruebas a actualizar programas de yaourt:

Código: Seleccionar todo

 yaourt -Syua
twitter @mcuentos

Avatar de Usuario
AALD666
Archer Extremo
Archer Extremo
Mensajes: 170
Registrado: 23 Dic 2010, 23:41
Contactar:

Re: error al actualizar package-query

Mensaje por AALD666 » 04 Ago 2014, 13:55

Gracias por tu respuesta cuentos

Con el yaourt -Ss package-query me sale esto:

Código: Seleccionar todo

aur/package-query 1.4-1 [installed: 1.2-2] (1107)
    Query ALPM and AUR
aur/package-query-git 1.4-1 (135)
    Query ALPM and AUR
aur/package-query-ssl3 1.2-2 (3)
    Query ALPM and AUR - with patch to use SSL-version-3
aur/pacman-update-check 0.2-2 (1)
    Basic Update checker to complement pacman. Functionality partially obsoleted by checkupdate, introduced 
    with pacman 4.1, the sole exception being AUR support, provided via package-query.
Con sudo pacman -Syyu me sale que no hay mas actualizaciones (ayer actualice)

Y con yaourt -Syua me siguen saliendo los mismos errores:

Código: Seleccionar todo

 boost-build : Huérfano 
 libdlo : Huérfano 
 libgnome-media-profiles : Huérfano 
 Paquetes ajenos: \ 51 / 51

==> Actualización del programa (nueva versión):
aur/package-query 1.2-2 -> 1.4-1
aur/yaourt        1.3-1 -> 1.5-1

==> Continuar con la actualización? [S/n]
==> [V]isualizar los detalles del paquete   Selección [M]anual de los paquetes
==> --------------------------------------------------------------------------
==> :: Iniciando actualización completa del sistema...
 nada que hacer

==> Descargando PKGBUILD desde AUR...
x .AURINFO
x PKGBUILD
Comment by bidulock  (2014-06-08 12:21)
yaourt -S curl ?

Comment by truh  (2014-06-08 13:47)
Already tried reinstalling curl with pacman (I don't have yaourt installed).

Comment by kevashcraft  (2014-06-22 17:52)
To build package while it's out of date, update the pkgver to 1.4 and add the md5sum of http://mir.archlinux.fr/~tuxce/releases/package-query/package-query-1.4.tar.gz which is '045a49b5121b3d469b6546fc271d002a' to the PKGBUILD

Comment by josephgbr  (2014-06-23 11:30)
@tuxce: please update. This PKGBUILD is out-of-date, in comparison with archlinuxfr..

Comment by zanegrey  (2014-07-26 22:18)
Would it be possible to get the arm version of this put here http://repo.archlinux.fr/arm/?

package-query 1.4-1  (mié mar 24 18:18:00 COT 2010)
(Paquete sin soporte: podría ser peligroso!)
==> dependencias de package-query:
 - pacman>=4.1 (ya instalado)
 - pacman<4.2 (ya instalado)
 - curl (ya instalado)
 - yajl>=2.0 (ya instalado)


==> Continuar compilando package-query? [S/n]
==> -----------------------------------------
==> 
==> Compilando e instalando el paquete
==> Creando el paquete: package-query 1.4-1 (lun ago  4 11:52:52 COT 2014)
==> Resolviendo dependencias...
==> Verificando conflictos...
==> Recibiendo fuentes...
  -> Descargando package-query-1.4.tar.gz...
  % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                 Dload  Upload   Total   Spent    Left  Speed
100  374k  100  374k    0     0   161k      0  0:00:02  0:00:02 --:--:--  161k
==> Validando el archivo fuente con md5sums...
    package-query-1.4.tar.gz ... Aprobado
==> Descomprimiendo fuentes...
  -> Extrayendo package-query-1.4.tar.gz con bsdtar
==> Iniciando build()...
checking for a BSD-compatible install... /usr/bin/install -c
checking whether build environment is sane... yes
/tmp/yaourt-tmp-aald/aur-package-query/src/package-query-1.4/missing: Unknown `--is-lightweight' option
Try `/tmp/yaourt-tmp-aald/aur-package-query/src/package-query-1.4/missing --help' for more information
configure: WARNING: 'missing' script is too old or missing
checking for a thread-safe mkdir -p... /usr/bin/mkdir -p
checking for gawk... gawk
checking whether make sets $(MAKE)... yes
checking whether make supports nested variables... yes
checking for gcc... gcc
checking whether the C compiler works... yes
checking for C compiler default output file name... a.out
checking for suffix of executables... 
checking whether we are cross compiling... no
checking for suffix of object files... o
checking whether we are using the GNU C compiler... yes
checking whether gcc accepts -g... yes
checking for gcc option to accept ISO C89... none needed
checking whether gcc understands -c and -o together... yes
checking for style of include used by make... GNU
checking dependency style of gcc... gcc3
checking build system type... i686-pc-linux-gnu
checking host system type... i686-pc-linux-gnu
checking how to print strings... printf
checking for a sed that does not truncate output... /usr/bin/sed
checking for grep that handles long lines and -e... /usr/bin/grep
checking for egrep... /usr/bin/grep -E
checking for fgrep... /usr/bin/grep -F
checking for ld used by gcc... /usr/bin/ld
checking if the linker (/usr/bin/ld) is GNU ld... yes
checking for BSD- or MS-compatible name lister (nm)... /usr/bin/nm -B
checking the name lister (/usr/bin/nm -B) interface... BSD nm
checking whether ln -s works... yes
checking the maximum length of command line arguments... 1572864
checking whether the shell understands some XSI constructs... yes
checking whether the shell understands "+="... yes
checking how to convert i686-pc-linux-gnu file names to i686-pc-linux-gnu format... func_convert_file_noop
checking how to convert i686-pc-linux-gnu file names to toolchain format... func_convert_file_noop
checking for /usr/bin/ld option to reload object files... -r
checking for objdump... objdump
checking how to recognize dependent libraries... pass_all
checking for dlltool... no
checking how to associate runtime and link libraries... printf %s\n
checking for ar... ar
checking for archiver @FILE support... @
checking for strip... strip
checking for ranlib... ranlib
checking command to parse /usr/bin/nm -B output from gcc object... ok
checking for sysroot... no
checking for mt... no
checking if : is a manifest tool... no
checking how to run the C preprocessor... gcc -E
checking for ANSI C header files... yes
checking for sys/types.h... yes
checking for sys/stat.h... yes
checking for stdlib.h... yes
checking for string.h... yes
checking for memory.h... yes
checking for strings.h... yes
checking for inttypes.h... yes
checking for stdint.h... yes
checking for unistd.h... yes
checking for dlfcn.h... yes
checking for objdir... .libs
checking if gcc supports -fno-rtti -fno-exceptions... no
checking for gcc option to produce PIC... -fPIC -DPIC
checking if gcc PIC flag -fPIC -DPIC works... yes
checking if gcc static flag -static works... yes
checking if gcc supports -c -o file.o... yes
checking if gcc supports -c -o file.o... (cached) yes
checking whether the gcc linker (/usr/bin/ld) supports shared libraries... yes
checking whether -lc should be explicitly linked in... no
checking dynamic linker characteristics... GNU/Linux ld.so
checking how to hardcode library paths into programs... immediate
checking whether stripping libraries is possible... yes
checking if libtool supports shared libraries... yes
checking whether to build shared libraries... yes
checking whether to build static libraries... yes
checking ctype.h usability... yes
checking ctype.h presence... yes
checking for ctype.h... yes
checking getopt.h usability... yes
checking getopt.h presence... yes
checking for getopt.h... yes
checking libintl.h usability... yes
checking libintl.h presence... yes
checking for libintl.h... yes
checking limits.h usability... yes
checking limits.h presence... yes
checking for limits.h... yes
checking locale.h usability... yes
checking locale.h presence... yes
checking for locale.h... yes
checking sys/ioctl.h usability... yes
checking sys/ioctl.h presence... yes
checking for sys/ioctl.h... yes
checking sys/utsname.h usability... yes
checking sys/utsname.h presence... yes
checking for sys/utsname.h... yes
checking for alpm_version in -lalpm... yes
checking for yajl_free in -lyajl... yes
checking for gawk... (cached) gawk
checking for curl-config... /usr/local/bin/curl-config
checking for the version of libcurl... 7.23.1
checking for libcurl >= version 7.19.4... yes
checking whether libcurl is usable... yes
checking for curl_free... yes
checking whether NLS is requested... yes
checking for msgfmt... /usr/bin/msgfmt
checking for gmsgfmt... /usr/bin/msgfmt
checking for xgettext... /usr/bin/xgettext
checking for msgmerge... /usr/bin/msgmerge
checking for ld used by GCC... /usr/bin/ld
checking if the linker (/usr/bin/ld) is GNU ld... yes
checking for shared library run path origin... done
checking for CFPreferencesCopyAppValue... no
checking for CFLocaleCopyCurrent... no
checking for GNU gettext in libc... yes
checking whether to use NLS... yes
checking where the gettext function comes from... libc
checking for git... no
checking that generated files are newer than configure... done
configure: creating ./config.status
config.status: creating src/Makefile
config.status: creating doc/Makefile
config.status: creating Makefile
config.status: creating config.h
config.status: executing depfiles commands
config.status: executing libtool commands
config.status: executing po-directories commands

package-query:

  Build information:
    source code location   : .
    prefix                 : /usr
    sysconfdir             : /etc
       conf file           : /etc/pacman.conf
    localstatedir          : /var
       database dir        : /var/lib/pacman/
    compiler               : gcc
    compiler flags         : -march=i686 -mtune=generic -O2 -pipe -fstack-protector-strong --param=ssp-buffer-size=4

    package-query version  : 1.4
    using git version      : no
       git ver             : 

  Variable information:
    root working directory : /
    aur base url           : https://aur.archlinux.org

make  all-recursive
make[1]: Entering directory '/tmp/yaourt-tmp-aald/aur-package-query/src/package-query-1.4'
Making all in src
make[2]: Entering directory '/tmp/yaourt-tmp-aald/aur-package-query/src/package-query-1.4/src'
gcc -DLOCALEDIR=\"/usr/share/locale\" -DCONFFILE=\"/etc/pacman.conf\" -DROOTDIR=\"/\" -DDBPATH=\"/var/lib/pacman/\" -DAUR_BASE_URL=\"https://aur.archlinux.org\" -DHAVE_CONFIG_H  -I. -I..   -D_FORTIFY_SOURCE=2 -D_GNU_SOURCE -march=i686 -mtune=generic -O2 -pipe -fstack-protector-strong --param=ssp-buffer-size=4 -MT aur.o -MD -MP -MF .deps/aur.Tpo -c -o aur.o aur.c
mv -f .deps/aur.Tpo .deps/aur.Po
gcc -DLOCALEDIR=\"/usr/share/locale\" -DCONFFILE=\"/etc/pacman.conf\" -DROOTDIR=\"/\" -DDBPATH=\"/var/lib/pacman/\" -DAUR_BASE_URL=\"https://aur.archlinux.org\" -DHAVE_CONFIG_H  -I. -I..   -D_FORTIFY_SOURCE=2 -D_GNU_SOURCE -march=i686 -mtune=generic -O2 -pipe -fstack-protector-strong --param=ssp-buffer-size=4 -MT alpm-query.o -MD -MP -MF .deps/alpm-query.Tpo -c -o alpm-query.o alpm-query.c
alpm-query.c: En la función ‘alpm_pkg_get_realsize’:
alpm-query.c:483:3: aviso: se descarta el valor de devolución de ‘chdir’, se declaró con el atributo warn_unused_result [-Wunused-result]
   chdir (alpm_option_get_root(config.handle));
   ^
mv -f .deps/alpm-query.Tpo .deps/alpm-query.Po
gcc -DLOCALEDIR=\"/usr/share/locale\" -DCONFFILE=\"/etc/pacman.conf\" -DROOTDIR=\"/\" -DDBPATH=\"/var/lib/pacman/\" -DAUR_BASE_URL=\"https://aur.archlinux.org\" -DHAVE_CONFIG_H  -I. -I..   -D_FORTIFY_SOURCE=2 -D_GNU_SOURCE -march=i686 -mtune=generic -O2 -pipe -fstack-protector-strong --param=ssp-buffer-size=4 -MT util.o -MD -MP -MF .deps/util.Tpo -c -o util.o util.c
util.c: En la función ‘string_fcat’:
util.c:351:2: aviso: se descarta el valor de devolución de ‘vasprintf’, se declaró con el atributo warn_unused_result [-Wunused-result]
  vasprintf(&s, format, args);
  ^
util.c: En la función ‘concat_backup_list’:
util.c:489:3: aviso: se descarta el valor de devolución de ‘asprintf’, se declaró con el atributo warn_unused_result [-Wunused-result]
   asprintf (&b_str, "%s\t%s", backup->name, backup->hash);
   ^
util.c: En la función ‘itostr’:
util.c:534:2: aviso: se descarta el valor de devolución de ‘asprintf’, se declaró con el atributo warn_unused_result [-Wunused-result]
  asprintf (&is, "%d", i);
  ^
util.c: En la función ‘ltostr’:
util.c:541:2: aviso: se descarta el valor de devolución de ‘asprintf’, se declaró con el atributo warn_unused_result [-Wunused-result]
  asprintf (&is, "%ld", i);
  ^
mv -f .deps/util.Tpo .deps/util.Po
gcc -DLOCALEDIR=\"/usr/share/locale\" -DCONFFILE=\"/etc/pacman.conf\" -DROOTDIR=\"/\" -DDBPATH=\"/var/lib/pacman/\" -DAUR_BASE_URL=\"https://aur.archlinux.org\" -DHAVE_CONFIG_H  -I. -I..   -D_FORTIFY_SOURCE=2 -D_GNU_SOURCE -march=i686 -mtune=generic -O2 -pipe -fstack-protector-strong --param=ssp-buffer-size=4 -MT color.o -MD -MP -MF .deps/color.Tpo -c -o color.o color.c
mv -f .deps/color.Tpo .deps/color.Po
gcc -DLOCALEDIR=\"/usr/share/locale\" -DCONFFILE=\"/etc/pacman.conf\" -DROOTDIR=\"/\" -DDBPATH=\"/var/lib/pacman/\" -DAUR_BASE_URL=\"https://aur.archlinux.org\" -DHAVE_CONFIG_H  -I. -I..   -D_FORTIFY_SOURCE=2 -D_GNU_SOURCE -march=i686 -mtune=generic -O2 -pipe -fstack-protector-strong --param=ssp-buffer-size=4 -MT package-query.o -MD -MP -MF .deps/package-query.Tpo -c -o package-query.o package-query.c
mv -f .deps/package-query.Tpo .deps/package-query.Po
/bin/sh ../libtool  --tag=CC   --mode=link gcc -D_GNU_SOURCE -march=i686 -mtune=generic -O2 -pipe -fstack-protector-strong --param=ssp-buffer-size=4 -L/usr/local/lib -lcurl  -Wl,-O1,--sort-common,--as-needed,-z,relro -o package-query aur.o alpm-query.o util.o color.o package-query.o  -lyajl -lalpm 
libtool: link: gcc -D_GNU_SOURCE -march=i686 -mtune=generic -O2 -pipe -fstack-protector-strong --param=ssp-buffer-size=4 -Wl,-O1 -Wl,--sort-common -Wl,--as-needed -Wl,-z -Wl,relro -o package-query aur.o alpm-query.o util.o color.o package-query.o  -L/usr/local/lib /usr/local/lib/libcurl.so -lidn -lssh2 -llber -lldap -lrt -lssl -lcrypto -ldl -lz -lrtmp -lyajl -lalpm -Wl,-rpath -Wl,/usr/local/lib -Wl,-rpath -Wl,/usr/local/lib
/usr/lib/gcc/i686-pc-linux-gnu/4.9.1/../../../libalpm.so: undefined reference to `[email protected]_OPENSSL_4'
/usr/lib/gcc/i686-pc-linux-gnu/4.9.1/../../../libalpm.so: undefined reference to `[email protected]_OPENSSL_4'
/usr/lib/gcc/i686-pc-linux-gnu/4.9.1/../../../libalpm.so: undefined reference to `[email protected]_OPENSSL_4'
/usr/lib/gcc/i686-pc-linux-gnu/4.9.1/../../../libalpm.so: undefined reference to `[email protected]_OPENSSL_4'
/usr/lib/gcc/i686-pc-linux-gnu/4.9.1/../../../libalpm.so: undefined reference to `[email protected]_OPENSSL_4'
/usr/lib/gcc/i686-pc-linux-gnu/4.9.1/../../../libalpm.so: undefined reference to `[email protected]_OPENSSL_4'
/usr/lib/gcc/i686-pc-linux-gnu/4.9.1/../../../libalpm.so: undefined reference to `[email protected]_OPENSSL_4'
/usr/lib/gcc/i686-pc-linux-gnu/4.9.1/../../../libalpm.so: undefined reference to `[email protected]_OPENSSL_4'
/usr/lib/gcc/i686-pc-linux-gnu/4.9.1/../../../libalpm.so: undefined reference to `[email protected]_OPENSSL_4'
collect2: error: ld returned 1 exit status
Makefile:410: recipe for target 'package-query' failed
make[2]: *** [package-query] Error 1
make[2]: Leaving directory '/tmp/yaourt-tmp-aald/aur-package-query/src/package-query-1.4/src'
Makefile:412: recipe for target 'all-recursive' failed
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory '/tmp/yaourt-tmp-aald/aur-package-query/src/package-query-1.4'
Makefile:343: recipe for target 'all' failed
make: *** [all] Error 2
==> ERROR: Se produjo un error en build().
    Cancelando...
==> ERROR: Makepkg no ha podido compilar package-query.
==> Reiniciar la compilación de package-query? [s/N]
==> ------------------------------------------------
==> 
==> ERROR: no se puede actualizar

==> Descargando PKGBUILD desde AUR...
x .AURINFO
x PKGBUILD
Comment by MilanKnizek  (2014-04-17 15:53)
I do not know what is wrong, but after update yaourt keeps hanging after package install, database update, whatever action and does not return to the shall prompt.

EDIT: sorry guys. It was a sudo related problem: something in the setup of gnome keyring has changed on update and the configs in /etc/pam.d/ do not work for me anymore. Disabling gnome-keyring for now solved the hanging sudo problem.

Comment by Megameneer  (2014-06-13 18:47)
99 votes to go to get to 3.000 votes!

Comment by argo  (2014-07-06 14:01)
Yaourt seems to not understand shorthand for user's home directory - i.e. if i specify DEVELSRCDIR as "~/builds" it will not work out and use /tmp instead, but when i explicitly write "/home/user/builds" down - it will.
Is this an intended behavior or i stumbled upon a bug?

Comment by hugueschabot  (2014-07-06 15:16)
You can use "${HOME}/builds".

Comment by sirocco  (2014-07-16 15:30)
$ yaourt -Si yaourt
/dev/fd/63: line 11: syntax error near unexpected token `('
...

yaourt 1.5-1  (mar jul  4 15:37:58 COT 2006)
(Paquete sin soporte: podría ser peligroso!)
==> dependencias de yaourt:
 - diffutils (ya instalado)
 - pacman>=4.1 (ya instalado)
 - gettext (ya instalado)
 - package-query>=1.4 (compilando des de AUR)


==> Continuar compilando yaourt? [S/n]
==> ----------------------------------
==> 
==> Compilando e instalando el paquete
==> Instalar o compilar las dependencias que faltan para yaourt:
==> Creando el paquete: yaourt 1.5-1 (lun ago  4 11:53:11 COT 2014)
==> Resolviendo dependencias...
==> Instalando las dependencias que faltan... 
error: destino no encontrado: package-query>=1.4
==> ERROR: 'pacman' fallo al instalar las dependencias faltantes.
==> ERROR: Makepkg no ha podido compilar yaourt.
==> Reiniciar la compilación de yaourt? [s/N]
==> -----------------------------------------
==> 
==> ERROR: no se puede actualizar
AHora tengo otra inquietud: Esos paquetes que me salen HUERFANOS cuando ejecuto yaourt ¿es seguro eliminarlos?
boost-build : Huérfano
libdlo : Huérfano
libgnome-media-profiles : Huérfano
Paquetes ajenos: \ 51 / 51
Gracias!!

Avatar de Usuario
Jristz
Archer Extremo
Archer Extremo
Mensajes: 745
Registrado: 14 Mar 2011, 20:20

Re: error al actualizar package-query

Mensaje por Jristz » 27 Ago 2014, 18:06

Esos paquetes generalmente representan paquetes sin un mantenedor o que fuen instalados explisitamente por una aplicacion pero ahora ya no son necesarios.
System: Host: Netbook Kernel: 4.4.39-1-lts x86_64 (64 bit) Desktop: Xfce 4.12.3 Distro: Arch Linux
Machine: Device: laptop System: TOSHIBA product: Satellite C845D v: PSCB6P-002LM1
Mobo: AMD model: Renmore UEFI: Insyde v: 6.10 date: 09/14/2012
Battery[/b] BAT1: charge: 5.3 Wh 17.5% condition: 30.4/44.0 Wh (69%)
CPU: Dual core AMD E-300 APU with Radeon HD Graphics (-MCP-) speed: 1300 MHz (max)
Graphics: Card: Advanced Micro Devices [AMD/ATI] Wrestler [Radeon HD 6310]

Responder